<?php
//
$SYS_FOC="Cod";//Primer control en recibir el focus
//
$Kod=V($_POST['Kod']);
$Cod=V($_POST['Cod']);
$Mar=V($_POST['Mar']);
$Noc=V($_POST['Noc']);
$Nol=V($_POST['Nol']);
$Hab=V($_POST['Hab']);
$Ram=V($_POST['Ram']);
$Bat=V($_POST['Bat']);
$Cpr=V($_POST['Cpr']);
$Cfr=V($_POST['Cfr']);
$Tam=V($_POST['Tam']);
$Vi1=V($_POST['Vi1']);
$Vi2=V($_POST['Vi2']);
$Vi3=V($_POST['Vi3']);
$Vi4=V($_POST['Vi4']);
$Foto = V($_FILES['Foto']['name']);
//
$LIMPIAR=0;
//
//ACTIVAR DESDE OTRA PAGINA
if(strlen($StrId)==0){
	$StrId=V($_GET['Id']);
	if(is_numeric($StrId)==false){
		$StrId="";
	}else{
		$StrCmd="AR";
		$LStrPag=V($_GET['Pag']);
		if(!is_numeric($LStrPag)){
			$LStrPag="";
		}
	}
}
//FUNCION PARA ACTIVAR UN REGISTRO
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$r=gr("vis_productos","ID=$Id");
	$Kod=$r['KOD'];
	$Cod=$r['COD'];
	$Mar=$r['MAR'];
	$Noc=$r['NOC'];
	$Nol=$r['NOL'];
	$Hab=$r['HAB'];
	$Ram=$r['RAM'];
	$Bat=$r['BAT'];
	$Cpr=$r['CPR'];
	$Cfr=$r['CFR'];
	$Tam=$r['TAM'];
	$Vi1=$r['VID_EST_1'];
	$Vi2=$r['VID_EST_2'];
	$Vi3=$r['VID_INS_1'];
	$Vi4=$r['VID_INS_2'];
}
//
if($StrCmd=="L"){
	$LIMPIAR=1;
}	
//
if($StrCmd=="G" || $StrCmd=="M"){
	$Mar_=gn("id_mar","marcas","mar_nom='$Mar'");
	$Ram_=vbval($Ram);
	$Bat_=vbval($Bat);
	$Cpr_=vbval($Cpr);
	$Cfr_=vbval($Cfr);
	$Tam_=vbval($Tam);
}
//
function F_UPLOAD(){
	$Fot=$_FILES['Foto']['name'];
	if(strlen($Fot)>0){
		$EX=extension($Fot);
		$FN="pro_".time().".".$EX;
		$FX="adjuntos/".$FN;
		//
		if(file_exists($FX)){
			unlink($FX);
		}
		if(move_uploaded_file($_FILES['Foto']['tmp_name'], $FX)){
			return $FN;
		}else{
			return "";
		}
	}
}
//
function ImgG($Nom){
	$Fot=$_FILES[$Nom]['name'];
	if(strlen($Fot)>0){
		$FN="pro_".time().".jpg";
		$FX="adjuntos/".$FN;
		//
		if(file_exists($FX)){
			unlink($FX);
		}
		if(move_uploaded_file($_FILES[$Nom]['tmp_name'], $FX)){
			return $FN;
		}else{
			return "";
		}
	}
}
//
function PRO_COL($PRO_ID){
	$s="DELETE FROM productos_colores WHERE pc_id_pro=$PRO_ID";
	ejt($s);
	//
	$s="SELECT * FROM colores WHERE id_col>0 ORDER BY col_nom";
	$rs=grs($s);
	while($r=$rs->fetch_assoc()){
		$CH="ch_".$r['id_col'];
		if(vbval(V($_POST[$CH]))==1){
			$PC_ID=GenId("id_pc","productos_colores");
			$PC_ST=0;
			$PC_SQ="INSERT INTO productos_colores VALUES ($PC_ID,$PRO_ID,".$r['id_col'].",$PC_ST)";
			ejt($PC_SQ);			
		}
	}	
}
//
if($StrCmd=="G"){
	//
	$pro_fot1="";
	$pro_fot2="";
	$pro_fot_des="";
	$pro_fly1="";
	$pro_fly2="";
	$pro_fly3="";
	$pro_vid_est1=$Vi1;
	$pro_vid_est2=$Vi2;
	$pro_vid_ins1=$Vi3;
	$pro_vid_ins2=$Vi4;
	$pro_pdf="";
	//
	$FILE="";
	$Id=GenId("id_pro","productos");
	$Kod=vbr("000000".$Id,6);
	$s="INSERT INTO productos 
		VALUES ($Id,'$Kod','$Cod',$Mar_,'$Noc',
		'$Nol','$Hab',$Ram_,$Bat_,$Cpr_,$Cfr_,$Tam_,
		'$FILE','$pro_fot1','$pro_fot2','$pro_fot_des',
		'$pro_fly1','$pro_fly2','$pro_fly3',
		'$pro_vid_est1','$pro_vid_est2',
		'$pro_vid_ins1','$pro_vid_ins2','$pro_pdf')";
	ejt($s);
	//
	PRO_COL($Id);
	//
	if(strlen($Foto)>0){
		$FN=F_UPLOAD();
		if(strlen($FN)>0){
			$s="UPDATE productos 
				SET pro_archivo='$FN' 
				WHERE id_pro=$Id";
			ejt($s);
		}
	}
	//			
	$DET_ID=0;
	$SYS_MSG="Datos registrados";
	$SYS_FOC="Cod";
	$LIMPIAR=1;
}
//
if($StrCmd=="M"){
	$FILE="";
	$pro_vid_est1=$Vi1;
	$pro_vid_est2=$Vi2;
	$pro_vid_ins1=$Vi3;
	$pro_vid_ins2=$Vi4;
	$s="UPDATE productos SET
		pro_cod='$Cod',pro_id_mar=$Mar_,pro_noc='$Noc',
		pro_nol='$Nol',pro_hab='$Hab',
		pro_ram=$Ram_,pro_bat=$Bat_,
		pro_cpr=$Cpr_,pro_cfr=$Cfr_,
		pro_tam=$Tam_,
		pro_vid_est1='$pro_vid_est1',
		pro_vid_est2='$pro_vid_est2',
		pro_vid_ins1='$pro_vid_ins1',
		pro_vid_ins2='$pro_vid_ins2' WHERE id_pro=$StrId";
	ejt($s);
	//
	PRO_COL($StrId);
	//
	if(strlen($Foto)>0){
		$FN=F_UPLOAD();
		if(strlen($FN)>0){
			$FT=gs("pro_archivo","productos","id_pro=$StrId");
			if(strlen($FT)>0){
				$FT="adjuntos/".$FT;
				if(file_exists($FT)){
					unlink($FT);
				}
			}
			$s="UPDATE productos SET pro_archivo='$FN' WHERE id_pro=$StrId";
			ejt($s);
		}
	}
	//			
	$SYS_MSG="Datos actualizados";
	$SYS_FOC="Cod";
	$LIMPIAR=1;
}
//
if($StrCmd=="E"){		
	$FN=gs("pro_archivo","productos","id_pro=$StrId");
	if(strlen($FN)>0){
		if(file_exists("adjuntos/".$FN)){
			unlink("adjuntos/".$FN);
		}
	}
	//
	$FN=gs("pro_fot1","productos","id_pro=$StrId");
	if(strlen($FN)>0){
		if(file_exists("adjuntos/".$FN)){
			unlink("adjuntos/".$FN);
		}
	}
	$FN=gs("pro_fot2","productos","id_pro=$StrId");
	if(strlen($FN)>0){
		if(file_exists("adjuntos/".$FN)){
			unlink("adjuntos/".$FN);
		}
	}
	$FN=gs("pro_fot_des","productos","id_pro=$StrId");
	if(strlen($FN)>0){
		if(file_exists("adjuntos/".$FN)){
			unlink("adjuntos/".$FN);
		}
	}
	$FN=gs("pro_fly1","productos","id_pro=$StrId");
	if(strlen($FN)>0){
		if(file_exists("adjuntos/".$FN)){
			unlink("adjuntos/".$FN);
		}
	}
	$FN=gs("pro_fly2","productos","id_pro=$StrId");
	if(strlen($FN)>0){
		if(file_exists("adjuntos/".$FN)){
			unlink("adjuntos/".$FN);
		}
	}
	$FN=gs("pro_fly3","productos","id_pro=$StrId");
	if(strlen($FN)>0){
		if(file_exists("adjuntos/".$FN)){
			unlink("adjuntos/".$FN);
		}
	}
	$FN=gs("pro_pdf","productos","id_pro=$StrId");
	if(strlen($FN)>0){
		if(file_exists("adjuntos/".$FN)){
			unlink("adjuntos/".$FN);
		}
	}
	//
	$s="DELETE FROM productos WHERE id_pro=$StrId";
	ejt($s);
	$SYS_MSG="Datos eliminados";
	$SYS_FOC="Cod";
	$LIMPIAR=1;	
}
//
if($StrCmd=="EF"){
	$FActual=ImgA("fotos/pro".$StrId);
	ImgE($FActual);
}	
//
if($LIMPIAR==1){
	$StrId="";
	$Kod="";
	$Cod="";
	$Mar="";
	$Noc="";
	$Nol="";
	$Hab="";
	$Ram="";
	$Bat="";
	$Cpr="";
	$Cfr="";
	$Tam="";
	$Vi1="";
	$Vi2="";
	$Vi3="";
	$Vi4="";
}
?>
